#!/bin/sh
########################################################################
#   5724-E34
#   (c) Copyright IBM Corporation 2008, 2009.
#   All rights reserved.
#
#   The source code for this program is not published or otherwise
#   divested of its trade secrets, irrespective of what has been
#   deposited with the U.S. Copyright Office.
########################################################################


echo --CREATE INDEXES FOR GOSALESDW SCHEMA
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.DIST_INVENTORY_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145915350 ON ${GOSALESDW_SCHEMA}.DIST_INVENTORY_FACT \(MONTH_KEY ,
echo ORGANIZATION_KEY ,
echo BRANCH_KEY ,
echo PRODUCT_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.DIST_PRODUCT_FORECAST_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145915700 ON ${GOSALESDW_SCHEMA}.DIST_PRODUCT_FORECAST_FACT \(MONTH_KEY ,
echo ORGANIZATION_KEY ,
echo BRANCH_KEY ,
echo BASE_PRODUCT_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.DIST_RETURN_REASON_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145916180 ON ${GOSALESDW_SCHEMA}.DIST_RETURN_REASON_DIM \(RETURN_REASON_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.DIST_RETURNED_ITEMS_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145916250 ON ${GOSALESDW_SCHEMA}.DIST_RETURNED_ITEMS_FACT \(DAY_KEY ,
echo ORGANIZATION_KEY ,
echo BRANCH_KEY ,
echo EMPLOYEE_KEY ,
echo RETAILER_SITE_KEY ,
echo PRODUCT_KEY ,
echo ORDER_METHOD_KEY ,
echo RETURN_REASON_KEY ,
echo SALES_ORDER_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_EMPLOYEE_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145916350 ON ${GOSALESDW_SCHEMA}.EMP_EMPLOYEE_DIM \(EMPLOYEE_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145916460 ON ${GOSALESDW_SCHEMA}.EMP_EXPENSE_FACT \(EMPLOYEE_KEY ,
echo POSITION_KEY ,
echo ORGANIZATION_KEY ,
echo DAY_KEY ,
echo EXPENSE_TYPE_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_PLAN_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145917040 ON ${GOSALESDW_SCHEMA}.EMP_EXPENSE_PLAN_FACT \(EXPENSE_TYPE_KEY ,
echo MONTH_KEY ,
echo ORGANIZATION_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_TYPE_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145917250 ON ${GOSALESDW_SCHEMA}.EMP_EXPENSE_TYPE_DIM \(EXPENSE_TYPE_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_UNIT_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145917320 ON ${GOSALESDW_SCHEMA}.EMP_EXPENSE_UNIT_LOOKUP \(EXPENSE_UNIT_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145917350 ON ${GOSALESDW_SCHEMA}.EMP_POSITION_DIM \(POSITION_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145917420 ON ${GOSALESDW_SCHEMA}.EMP_POSITION_LOOKUP \(POSITION_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_SUMMARY_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145917460 ON ${GOSALESDW_SCHEMA}.EMP_POSITION_SUMMARY_FACT \(ORGANIZATION_KEY ,
echo POSITION_KEY ,
echo DAY_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_RANKING_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145917570 ON ${GOSALESDW_SCHEMA}.EMP_RANKING_DIM \(EMPLOYEE_RANKING_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_RANKING_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145917620 ON ${GOSALESDW_SCHEMA}.EMP_RANKING_FACT \(EMPLOYEE_KEY ,
echo POSITION_KEY ,
echo ORGANIZATION_KEY ,
echo DAY_KEY ,
echo EMPLOYEE_RANKING_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145917730 ON ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_DIM \(RECRUITMENT_MEDIUM_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145917780 ON ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_FACT \(RECRUITMENT_MEDIUM_KEY ,
echo ORGANIZATION_KEY ,
echo POSITION_KEY ,
echo BRANCH_KEY ,
echo POST_DAY_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145917820 ON ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_FACT \(ORGANIZATION_KEY ,
echo POSITION_KEY ,
echo EMPLOYEE_KEY ,
echo DAY_KEY ,
echo SUCCESSOR_STATUS_KEY ,
echo SUCCESSOR_EMPLOYEE_KEY ,
echo SUCCESSOR_POSITION_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_STATUS_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145917890 ON ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_STATUS_DIM \(SUCCESSOR_STATUS_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_SUMMARY_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145917950 ON ${GOSALESDW_SCHEMA}.EMP_SUMMARY_FACT \(ORGANIZATION_KEY ,
echo EMPLOYEE_KEY ,
echo POSITION_KEY ,
echo DAY_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145918090 ON ${GOSALESDW_SCHEMA}.EMP_SURVEY_FACT \(DAY_KEY ,
echo ORGANIZATION_KEY ,
echo POSITION_KEY ,
echo EMPLOYEE_TOPIC_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_TARG_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145918200 ON ${GOSALESDW_SCHEMA}.EMP_SURVEY_TARG_FACT \(EMPLOYEE_TOPIC_KEY ,
echo MONTH_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_TOPIC_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145918260 ON ${GOSALESDW_SCHEMA}.EMP_SURVEY_TOPIC_DIM \(EMPLOYEE_TOPIC_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_TERMINATION_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145918310 ON ${GOSALESDW_SCHEMA}.EMP_TERMINATION_LOOKUP \(TERMINATION_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_TRAINING_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145918350 ON ${GOSALESDW_SCHEMA}.EMP_TRAINING_DIM \(TRAINING_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.EMP_TRAINING_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145918420 ON ${GOSALESDW_SCHEMA}.EMP_TRAINING_FACT \(ORGANIZATION_KEY ,
echo POSITION_KEY ,
echo EMPLOYEE_KEY ,
echo DAY_KEY ,
echo EXPENSE_TYPE_KEY ,
echo TRAINING_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_CLASS_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145918510 ON ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_CLASS_LOOKUP \(ACCOUNT_CLASS_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145918530 ON ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_DIM \(ACCOUNT_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_NAME_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145918590 ON ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_NAME_LOOKUP \(ACCOUNT_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_TYPE_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145918640 ON ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_TYPE_LOOKUP \(ACCOUNT_TYPE_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.FIN_FINANCE_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145918700 ON ${GOSALESDW_SCHEMA}.FIN_FINANCE_FACT \(SUBMISSION_KEY ,
echo ORGANIZATION_KEY ,
echo ACCOUNT_KEY ,
echo MONTH_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_CURRENCY_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145919600 ON ${GOSALESDW_SCHEMA}.FIN_SUBM_CURRENCY_LOOKUP \(SUBMISSION_CURRENCY_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145919670 ON ${GOSALESDW_SCHEMA}.FIN_SUBM_DIM \(SUBMISSION_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_TYPE_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145919750 ON ${GOSALESDW_SCHEMA}.FIN_SUBM_TYPE_LOOKUP \(SUBMISSION_TYPE_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.GO_BRANCH_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145919810 ON ${GOSALESDW_SCHEMA}.GO_BRANCH_DIM \(BRANCH_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.GO_GENDER_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145919870 ON ${GOSALESDW_SCHEMA}.GO_GENDER_LOOKUP \(GENDER_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.GO_ORG_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145919950 ON ${GOSALESDW_SCHEMA}.GO_ORG_DIM \(ORGANIZATION_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.GO_ORG_NAME_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145920000 ON ${GOSALESDW_SCHEMA}.GO_ORG_NAME_LOOKUP \(ORGANIZATION_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.GO_REGION_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145920040 ON ${GOSALESDW_SCHEMA}.GO_REGION_DIM \(COUNTRY_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.GO_SATISFACTION_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145920120 ON ${GOSALESDW_SCHEMA}.GO_SATISFACTION_DIM \(SATISFACTION_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.GO_TIME_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145920170 ON ${GOSALESDW_SCHEMA}.GO_TIME_DIM \(DAY_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.GO_TIME_QUARTER_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145920280 ON ${GOSALESDW_SCHEMA}.GO_TIME_QUARTER_LOOKUP \(QUARTER_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.MRK_BUNDLE_GROUP_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145920340 ON ${GOSALESDW_SCHEMA}.MRK_BUNDLE_GROUP_LOOKUP \(BUNDLE_GROUP_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.MRK_CAMPAIGN_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145920400 ON ${GOSALESDW_SCHEMA}.MRK_CAMPAIGN_LOOKUP \(CAMPAIGN_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.MRK_PROD_SURVEY_TARG_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145920500 ON ${GOSALESDW_SCHEMA}.MRK_PROD_SURVEY_TARG_FACT \(MONTH_KEY ,
echo PRODUCT_KEY ,
echo PRODUCT_SURVEY_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145920560 ON ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_DIM \(PRODUCT_SURVEY_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145920640 ON ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_FACT \(MONTH_KEY ,
echo ORGANIZATION_KEY ,
echo RTL_COUNTRY_KEY ,
echo BRANCH_KEY ,
echo PRODUCT_KEY ,
echo PRODUCT_SURVEY_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145922040 ON ${GOSALESDW_SCHEMA}.MRK_PROMOTION_DIM \(PROMOTION_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145922100 ON ${GOSALESDW_SCHEMA}.MRK_PROMOTION_FACT \(ORGANIZATION_KEY ,
echo ORDER_DAY_KEY ,
echo RTL_COUNTRY_KEY ,
echo EMPLOYEE_KEY ,
echo RETAILER_KEY ,
echo PRODUCT_KEY ,
echo PROMOTION_KEY ,
echo SALES_ORDER_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_PLAN_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145922230 ON ${GOSALESDW_SCHEMA}.MRK_PROMOTION_PLAN_FACT \(MONTH_KEY ,
echo ORGANIZATION_KEY ,
echo BRANCH_KEY ,
echo RTL_COUNTRY_KEY ,
echo PRODUCT_KEY ,
echo PROMOTION_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145922350 ON ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_DIM \(RETAILER_SURVEY_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145922370 ON ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_FACT \(MONTH_KEY ,
echo ORGANIZATION_KEY ,
echo BRANCH_KEY ,
echo RTL_COUNTRY_KEY ,
echo RETAILER_KEY ,
echo RETAILER_SURVEY_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_TARG_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145922620 ON ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_TARG_FACT \(RETAILER_SURVEY_KEY ,
echo MONTH_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.SLS_ORDER_METHOD_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145922670 ON ${GOSALESDW_SCHEMA}.SLS_ORDER_METHOD_DIM \(ORDER_METHOD_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_BRAND_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145922700 ON ${GOSALESDW_SCHEMA}.SLS_PRODUCT_BRAND_LOOKUP \(PRODUCT_BRAND_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_COLOR_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145922750 ON ${GOSALESDW_SCHEMA}.SLS_PRODUCT_COLOR_LOOKUP \(PRODUCT_COLOR_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145922790 ON ${GOSALESDW_SCHEMA}.SLS_PRODUCT_DIM \(PRODUCT_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LINE_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145922870 ON ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LINE_LOOKUP \(PRODUCT_LINE_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145922920 ON ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LOOKUP \(PRODUCT_NUMBER ,
echo PRODUCT_LANGUAGE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_SIZE_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145923010 ON ${GOSALESDW_SCHEMA}.SLS_PRODUCT_SIZE_LOOKUP \(PRODUCT_SIZE_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_TYPE_LOOKUP:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145923070 ON ${GOSALESDW_SCHEMA}.SLS_PRODUCT_TYPE_LOOKUP \(PRODUCT_TYPE_CODE \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.SLS_RTL_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145923140 ON ${GOSALESDW_SCHEMA}.SLS_RTL_DIM \(RETAILER_SITE_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145923210 ON ${GOSALESDW_SCHEMA}.SLS_SALES_FACT \(ORDER_DAY_KEY ,
echo ORGANIZATION_KEY ,
echo EMPLOYEE_KEY ,
echo RETAILER_KEY ,
echo RETAILER_SITE_KEY ,
echo PRODUCT_KEY ,
echo PROMOTION_KEY ,
echo ORDER_METHOD_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_TARG_FACT:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145927140 ON ${GOSALESDW_SCHEMA}.SLS_SALES_TARG_FACT \(MONTH_KEY ,
echo ORGANIZATION_KEY ,
echo RTL_COUNTRY_KEY ,
echo EMPLOYEE_KEY ,
echo RETAILER_KEY ,
echo PRODUCT_TYPE_KEY ,
echo PRODUCT_BRAND_KEY \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.XGOREV:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145928870 ON ${GOSALESDW_SCHEMA}.XGOREV \(GOREV_ID \)
echo @
echo  echo CREATING INDEX ON TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_ORDER_DIM:
echo @
echo CREATE UNIQUE  INDEX ${GOSALESDW_SCHEMA}.IX090616145928950 ON ${GOSALESDW_SCHEMA}.SLS_SALES_ORDER_DIM \(SALES_ORDER_KEY \)
echo @
echo

