@ECHO OFF
REM **********************************************************************
REM   5724-E34
REM   (c) Copyright IBM Corporation 2008, 2009.
REM   All rights reserved.
REM
REM   The source code for this program is not published or otherwise
REM   divested of its trade secrets, irrespective of what has been
REM   deposited with the U.S. Copyright Office.
REM **********************************************************************
REM
REM   Filename: GOSalesConfig.bat
REM
REM   Description :
REM      This file contains the default configuration options that
REM      are used when creating the GOSALES data.  These options
REM      can be modified by the user to alter the configuration of
REM      the sample database.
REM
REM **********************************************************************

REM **********************************************************************
REM   Enter the name or alias of the database
REM **********************************************************************
set GOSALES_INST=GSDB

REM **********************************************************************
REM   OPTIONAL: Create the database(Y/N)?  This will cause
REM   an existing database with the same name to be dropped.
REM **********************************************************************
set GOSALES_CREATEDB=

REM **********************************************************************
REM   When creating a database this is the territory
REM   of the UTF-8 database that is created.
REM **********************************************************************
set GOSALES_DB_TERRITORY=US

REM *************************************************************************
REM   Change to 'Y' if installing in a database partitioned environment (DPF)
REM *************************************************************************
set GOSALES_DPF=N

REM **********************************************************************
REM   OPTIONAL: Enter the buffer pool and tablespace name
REM   if you want these to be created by the script
REM **********************************************************************
set GOSALES_BP=GOSALES_BP
set GOSALES_TS=GOSALES_TS

REM **********************************************************************
REM   Enter the list of users, groups or PUBLIC that will have CONTROL
REM   permissions for the GOSALES, GOSALESHR, GOSALESMR, GOSALESRT
REM   and GOSALESCT schemas
REM   This string needs to follow the syntax of the GRANT command.
REM   Examples :
REM     1) Provide control access to the user GOSALES and the group DBUSERS
REM          GOSALES_GRANTEES=USER GOSALES, GROUP DBUSERS
REM     2) Provide control access to everyone using PUBLIC
REM          GOSALES_GRANTEES=PUBLIC
REM     3) Provide control access to users BOB, JOE and SUE
REM          GOSALES_GRANTEES=BOB,JOE,SUE
REM
REM **********************************************************************
set GOSALES_GRANTEES=GOSALES,DB2ADMIN

REM **********************************************************************
REM   Enter the list of users, groups or PUBLIC that will have CONTROL
REM   permissions for the GOSALESDW schema
REM **********************************************************************
set GOSALESDW_GRANTEES=GOSALESDW,DB2ADMIN

REM **********************************************************************
REM   Enter the names to use for each schema
REM **********************************************************************
set GOSALES_SCHEMA=GOSALES
set GOSALESHR_SCHEMA=GOSALESHR
set GOSALESMR_SCHEMA=GOSALESMR
set GOSALESRT_SCHEMA=GOSALESRT
set GOSALESCT_SCHEMA=GOSALESCT
set GOSALESDW_SCHEMA=GOSALESDW
